Skip to main content
Version: 10.1

Setup Login Resource

Description​

Required authentication to use the rest of the cluster API.

POST /setup/login​

POST Parameters​

NameRequiredTypeDescriptionDefault Value
loginYesJSON StringUsername for the setup login. This is not the same as the rWeb GUI admin, but the user from the initial setup process. 
passwordYesJSON StringPassword for the setup login. This is not the same as the rWeb GUI admin, but the password from the initial setup process.  

Example POST Request​

POST /setup/login
 
JSON Body:
{
"login":"admin",
"password":"admin123"
}

Example POST Response​

 HTTP/1.1 200 OK